/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.objects.meta;

import com.xpn.xwiki.XWikiContext;
import com.xpn.xwiki.objects.BaseCollection;
import com.xpn.xwiki.objects.classes.ComputedFieldClass;
import com.xpn.xwiki.objects.classes.TextAreaClass;

/**
 * Computed Field Class allows to create a field without storage that will display computed values based on other data
 * in the object or wiki.
 *
 * @version $Id: 014ad90e2f70e53e6fbdbffab0015bbd16efe5ce $
 * @since 4.2M2
 */
public class ComputedFieldMetaClass extends PropertyMetaClass
{
    /**
     * Constructor for ComputerFieldMetaClass.
     */
    public ComputedFieldMetaClass()
    {
        super();
        setPrettyName("Computed Field");
        setName(ComputedFieldClass.class.getName());

        TextAreaClass scriptClass = new TextAreaClass(this);
        scriptClass.setName("script");
        scriptClass.setPrettyName("Script");
        scriptClass.setSize(80);
        scriptClass.setRows(5);
        safeput(scriptClass.getName(), scriptClass);
    }

    @Override
    public BaseCollection newObject(XWikiContext context)
    {
        return new ComputedFieldClass();
    }
}
