/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rest;

/**
 * <p>
 * This class contains the constants defining the relation types that can be specified for links in the representations.
 * <p>
 * 
 * @version $Id: 426a5b855c32e31f21058d6e3073161effa7a057 $
 */
public class Relations
{
    public static final String SELF = "self";

    public static final String WADL = "wadl";

    public static final String WIKIS = "http://www.xwiki.org/rel/wikis";

    public static final String SPACES = "http://www.xwiki.org/rel/spaces";

    public static final String PAGES = "http://www.xwiki.org/rel/pages";

    public static final String TRANSLATION = "http://www.xwiki.org/rel/translation";

    public static final String PAGE = "http://www.xwiki.org/rel/page";

    public static final String SPACE = "http://www.xwiki.org/rel/space";

    public static final String PARENT = "http://www.xwiki.org/rel/parent";

    public static final String HOME = "http://www.xwiki.org/rel/home";

    public static final String ATTACHMENT_DATA = "http://www.xwiki.org/rel/attachmentData";

    public static final String COMMENTS = "http://www.xwiki.org/rel/comments";

    public static final String ATTACHMENTS = "http://www.xwiki.org/rel/attachments";

    public static final String OBJECTS = "http://www.xwiki.org/rel/objects";

    public static final String OBJECT = "http://www.xwiki.org/rel/object";

    public static final String CLASSES = "http://www.xwiki.org/rel/classes";

    public static final String HISTORY = "http://www.xwiki.org/rel/history";

    public static final String CLASS = "http://www.xwiki.org/rel/class";

    public static final String PROPERTY = "http://www.xwiki.org/rel/property";

    public static final String PROPERTIES = "http://www.xwiki.org/rel/properties";

    public static final String MODIFICATIONS = "http://www.xwiki.org/rel/modifications";

    public static final String CHILDREN = "http://www.xwiki.org/rel/children";

    public static final String TAGS = "http://www.xwiki.org/rel/tags";

    public static final String TAG = "http://www.xwiki.org/rel/tag";

    public static final String SEARCH = "http://www.xwiki.org/rel/search";

    public static final String QUERY = "http://www.xwiki.org/rel/query";

    public static final String SYNTAXES = "http://www.xwiki.org/rel/syntaxes";

}
